use 5.008;
use ExtUtils::MakeMaker;
use Config;

my %PARAM;

# RIPE NCC common configuration

if ( $Config{vendorprefix} eq '/usr/local/ncc' ) {
    
    warn "\nConfiguring for RIPE NCC Perl installation...\n\n";
    
    $PARAM{'INSTALLDIRS'}       = 'vendor';
    $PARAM{'INSTALLSCRIPT'}     = '$(INSTALLVENDORBIN)'; # Hack for Perl prior 5.8.1
    $PARAM{'macro'}             = { 'INSTALLPREFIX' => '$(VENDORPREFIX)' };
}

# Create the symlinks as part of the make session

sub MY::postamble {
    return "\n.mklinks:\n".
	"\tbin/runmklinks.sh\n".
	"\ttouch .mklinks\n\n"
    }

sub MY::top_targets
{
    my ($self) = @_;
    my $str = $self->MM::top_targets ;
    $str=~s/\bmanifypods\b/manifypods .mklinks/;
    return $str;
}



sub MY::clean {
    package MY;# so that "SUPER" works right
    my $inherited = shift->SUPER::clean(@_);



$inherited
    . "\nclean ::\n"
    . "\t"."\$(RM_RF) `find t -type l -print `\n"
    . "\t"."\$(RM_RF) .mklinks \n"
    . "\n"
    . "\n"


}

####### End symlink creation

WriteMakefile(
	'NAME'		=> 'Net::DelCheck',
	'VERSION_FROM'	=> 'lib/Net/DelCheck.pm',
	'PREREQ_PM'		=> { 
		'AppConfig' => 1.51,
		'IO::Scalar' => 0,
		'IO::Socket::INET6' => 0,
		'Net::DNS' => 0.50,
		'Net::DNS::SEC' => 0,
		'Net::DNS::TestNS' => 1.06,
		'Net::IP' => 1.21,
		'Socket6' => 0,
		'XML::DOM' => 1.41,
		'XML::Parser' => 2.31,
		'XML::Writer' => 0.4,
	},
	# TESTS: run all the mklink.sh scripts, then the tests themselves
	'test' => {
	    'TESTS' =>  "`find t -name '*.t'`"           # Recursive test-finding
	},


	# PREOP: 1) remove all the symlinks 2) package all the pcode tests up
	'dist' => {
		PREOP => "find t -type l -exec rm \\{\\} \\; &&  cp -rp t/pcodes \${DISTNAME}-\${VERSION}/t/ && cp -rp CGI \${DISTNAME}-\${VERSION} && cp -rp XML \${DISTNAME}-\${VERSION}" # Include all the pcode tests and CGI
	},
	%PARAM,
	(
		$] >= 5.005 ?                                      # Add these new keywords supported since 5.005
     (
		ABSTRACT_FROM => 'lib/Net/DelCheck.pm',           # retrieve abstract from module
		AUTHOR     => 'Lee Wilmot <lee@ripe.net>') : ()
      ),

);
