<?xml version='1.0' encoding='iso-8859-1'?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

<!--  template "DELCHECK_MASTER_TEMPLATE" should be defined by the files that include this -->


<xsl:variable name="newline">
<xsl:text>
</xsl:text>
</xsl:variable>

<xsl:variable name="tab">
<xsl:text>	</xsl:text>
</xsl:variable>






<xsl:template match="NO_PROBLEM">
  <xsl:element name="NO_PROBLEM">  
	<xsl:value-of select="$tab"/>INFO: <xsl:apply-templates select="LINE"/>
  </xsl:element>
</xsl:template>

<!-- Default overwritten in some of the XSLs that include this -->
<xsl:template match="PROBLEM">
    <xsl:element name="PROBLEM">
      <xsl:attribute name="code">
	<xsl:value-of select="@code"/>
      </xsl:attribute>
      <xsl:attribute name="severity">
	<xsl:value-of select="@severity"/>
      </xsl:attribute>
	<xsl:value-of select="$newline"/> 
      <xsl:element name="SHORT">
	<xsl:value-of select="$newline"/> 
	<xsl:choose>
	  <xsl:when test="@severity=20"><xsl:value-of select="$tab"/>ERROR (20 points): </xsl:when>
	  <xsl:when test="@severity=0"><xsl:value-of select="$tab"/>INFO: </xsl:when>
	  <xsl:otherwise><xsl:value-of select="$tab"/>WARNING (<xsl:value-of select="@severity"/> points): </xsl:otherwise>
	  </xsl:choose><xsl:apply-templates select="DESCRIPTION"/>
      </xsl:element>
      <xsl:value-of select="$newline"/> 
  </xsl:element>
  <xsl:value-of select="$newline"/> 
  <xsl:value-of select="$newline"/> 
</xsl:template>


<xsl:template match="DESCRIPTION">
  <xsl:apply-templates select="LINE"/>
  <xsl:value-of select="$newline"/> 
</xsl:template>



<xsl:template match="LINE">
  <xsl:apply-templates select="ARG|text()"/>
  <xsl:value-of select="$newline"/> 
  <xsl:value-of select="$tab"/>
</xsl:template>


<xsl:template match="TITLE">
  <xsl:apply-templates select="text()"/>
</xsl:template>



<xsl:template match="ARG">
  <xsl:element name="ARG">
    <xsl:attribute name="no">
      <xsl:value-of select="@no"/>
    </xsl:attribute>
  </xsl:element>
</xsl:template>

<xsl:template match="text()">

<xsl:value-of select="."/>
</xsl:template>


<xsl:template match="EXPLANATION">
  <xsl:copy-of select="p"/>
</xsl:template>






</xsl:stylesheet>
