<?xml version='1.0' encoding='iso-8859-1'?>

<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

<xsl:output method='html' version='1.0' encoding='iso-8859-1' indent='no'/>

<xsl:template match="DELCHECK_TEMPLATE">
<TABLE border="1">
<TR><Td> ProblemCode</Td>
<Td> POINTS</Td>
<Td>Short Description </Td>
<!--<Td>Long Description </Td>-->
</TR>

	<xsl:apply-templates select="PROBLEM"/>
</TABLE>
</xsl:template>

<xsl:template match="PROBLEM">
<TR><td>
<FONT SIZE="-1">
<tt><xsl:value-of select="@code"/>
</tt></FONT>
</td>
<td>  <xsl:value-of select="@severity"/>
</td>


<!--<xsl:if test="LONG">
    <xsl:apply-templates select="SHORT"/>

  </xsl:if>
  <xsl:if test="SHORT"> 
    <xsl:apply-templates select="SHORT"/>
</xsl:if>
-->
    <xsl:apply-templates select="SHORT"/>

<!--    <xsl:apply-templates select="LONG"/> -->

</TR>
</xsl:template>



<xsl:template match="SHORT">
  <TD>

    <xsl:apply-templates select="ARG|IP|HOST|DOMAIN|*|text()"/><xsl:text>
    </xsl:text>
</TD>

</xsl:template>


<xsl:template match="LONG">
  <TD>

    <xsl:apply-templates select="IP|HOST|DOMAIN|*|text()"/>
  <xsl:call-template name="substitute">
         <xsl:with-param name="string" select="." />
      </xsl:call-template>



</TD>

</xsl:template>



<xsl:template match="ARG">
     <tt><xsl:value-of select="@example"/></tt>
</xsl:template>


<xsl:template match="IP">
  <i>&lt;ip_address   <xsl:apply-templates select="ARG|*|text()"/>  &gt;</i>
    <xsl:text>
    </xsl:text>
</xsl:template>

<xsl:template match="HOST">
  <i>&lt;host_name   <xsl:apply-templates select="ARG|*|text()"/>  &gt;</i>
</xsl:template>

<xsl:template match="DOMAIN">
  <i>&lt;domain_name   <xsl:apply-templates select="ARG|*|text()"/>  &gt;</i>
</xsl:template>

<!-- Matches all other items and will copy HTML code verbosely -->
<xsl:template match="*">
<xsl:copy>
<xsl:copy-of select="@*"/>
<xsl:apply-templates/>
</xsl:copy>
</xsl:template>



<xsl:template name="substitute">
   <xsl:param name="string" />
   <xsl:param name="from" select="'&#xA;&#xA;'" />
   <xsl:param name="to">
      <br /><br />
   </xsl:param>
   <xsl:choose>
      <xsl:when test="contains($string, $from)">
         <xsl:value-of select="substring-before($string, $from)" />
         <xsl:copy-of select="$to" />
         <xsl:call-template name="substitute">
            <xsl:with-param name="string"
                            select="substring-after($string, $from)" />
            <xsl:with-param name="from" select="$from" />
            <xsl:with-param name="to" select="$to" />
         </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
         <xsl:value-of select="$string" />
      </xsl:otherwise>
   </xsl:choose>
</xsl:template>                




</xsl:stylesheet>




