<?xml version='1.0' encoding='iso-8859-1'?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

<!-- $Id -->

<!-- Contains the code commonm to create the delchecker XML files for cgi purposes
     and the HTML help file. -->

<!-- Output varies through the outform variable that is set in the XSL files that
    include these -->

<!-- $outform either equals cgi, cgi-extended or webhelp -->
  
<!-- Overwrites NO_PROBLEM, PROBLEM  and LINE templates -->








<xsl:template match="NO_PROBLEM">
    <xsl:if test="$outform='cgi' or $outform='cgi-extended'">
      <xsl:element name="NO_PROBLEM">  
	<xsl:apply-templates select="LINE"/>
      </xsl:element>
  </xsl:if>
</xsl:template>



<xsl:template match="PROBLEM">
  <xsl:value-of select="$newline"/>     
  <xsl:value-of select="$newline"/>     
  <xsl:value-of select="$newline"/>     
  <xsl:choose>
    <xsl:when test="$outform='cgi' or $outform='cgi-extended'">
      <xsl:element name="PROBLEM">
	<xsl:attribute name="code">
	  <xsl:value-of select="@code"/>
	</xsl:attribute>
	<xsl:attribute name="severity">
	  <xsl:value-of select="@severity"/>
	</xsl:attribute>
	<xsl:call-template name="create_problem_table"/>
      </xsl:element>
    </xsl:when>
    <xsl:otherwise>
	<xsl:call-template name="create_problem_table"/>      
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>




<xsl:template match="LINE">
  <xsl:if test="@br='yes'">
    <xsl:element name="br"/>
  </xsl:if>
  <xsl:value-of select="$newline"/>     
  <xsl:apply-templates select="ARG|text()"/>
</xsl:template>



<!--

This is the table we are creating below roughly has this form.

|- - - - - - - - - - - - - - - - - - - - - - - - - - -|- - - - - - - - - -|
| |- - - - - - - - - - - - - - - - - - - - - - - - -| |                   |
| |TITLE                                            | |                   |
| |- - - - - - - - - - - - - - - - - - - - - - - - -| |   SCORE           |
| |   |PROBLEM_CODE                                 | |                   |
| |- - - - - - - - - - - - - - - - - - - - - - - - -| |                   |
|- - - - - - - - - - - - - - - - - - - - - - - - - - -|- - - - - - - - - -|
| |- - - - - - - - - - - - - - - - - - - - - - - - - -|- - - - - - - - |  |
| |- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - |  |
| |   |                                                                |  |
| |   |  SHORT DISCRIPTION                                             |  |
| |   |                                                                |  |
| |   |                                                                |  |
| |   |                                                                |  |
| |- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - |  |
| |- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - |  |
| |   |                                                                |  |
| |   |  EXTENDED DISCRIPTION                                          |  |
| |   |                                                                |  |
| |   |                                                                |  |
| |   |                                                                |  |
| |- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - |  |
|- - - - - - - - - - - - - - - - - - - - - - - - - - -|- - - - - - - - - -|

Or in HTML (the comments are reused in the XSL below.)

Style Classes are:

delcheck-error-explanation-box     For the TD enclosing the explanation
delcheck-error-problemcode-box      For the TD enclosing the problemcode text
delcheck-error-severity-box         For the TD enclosing the description       
delcheck-error-shortdescr-box       For the TD enclosing the short dscription
delcheck-error-table                For the whole table
delcheck-error-title-box            For the TD enclosing the title
delcheck-info-explanation-box
delcheck-info-problemcode-box
delcheck-info-severity-box
delcheck-info-shortdesc-box
delcheck-info-table
delcheck-info-title-box
delcheck-warning-explanation-box
delcheck-warning-explanation-box" 
delcheck-warning-problemcode-box
delcheck-warning-severity-box
delcheck-warning-shortdesc-box
delcheck-warning-table
delcheck-warning-title-box


<table class="delcheck-error-table" width="500">
<tr>
<td><table>
<tr><td class="delcheck-error-title-box" colspan="2">
<A name="PROBLEM_DELEGATED_NS_NOT_LISTED_AT_ZONE"></A>Lame delegation, nameserver is listed in the zone.</td></tr>
<tr>
<td width="10"></td>
<td class="delcheck-error-problemcode-box">PROBLEM_DELEGATED_NS_NOT_LISTED_AT_ZONE</td>
</tr>
</table></td>
<td class="delcheck-error-severity-box">
        Score: 20<br> (Error)</td>
</tr>
<tr><td colspan="2"><table>
<tr>
<td width="10"></td>
<td class="delcheck-error-shortdescr-box">
The submitted nameserver
<tt>ns1.example.com</tt> is not listed for the zone by the nameserver at
<tt>ns3.example.com</tt> (<tt>192.0.4.2</tt>).
</td>
</tr>
<tr>
<td width="10"></td>
<td class="delcheck-error-explanation-box" colspan="2">
<br><p>The delegation checker uses a number of nameserver names that it 
    has obtained either from the users input (e.g. a Domain object) or from
    getting the delegation NS resource records from the parent domain.
    </p>
<p>
      This error indicates that one or more of these nameservers are not
      present in the set of nameservers listed in the zone.
    </p>
</td>
</tr>
</table></td></tr>
</table>

-->

<!-- Small helper template, sets up a <td width=x/> element, 
     this is to maintain the spacing in the table 
 -->
<xsl:template name="blanktd">
  <xsl:element name="td"> <!--blank space-->
    <xsl:attribute name="width">10</xsl:attribute>
  </xsl:element>
</xsl:template>




<xsl:template name="create_problem_table">
  <xsl:value-of select="$newline"/>     
  <xsl:element name="table">
    <xsl:attribute name="class">
      <xsl:choose>
	<xsl:when test="@severity=20">delcheck-error-table</xsl:when>	    
	<xsl:when test="@severity=0">delcheck-info-table</xsl:when>	    
	<xsl:otherwise>delcheck-warning-table</xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>
    <xsl:attribute name="width">500</xsl:attribute>
    <xsl:value-of select="$newline"/>     
    <xsl:element name="tr">
      <xsl:element name="td"> <!-- First row first column -->
	<xsl:element name="table"> <!-- Sub Table first column -->
	  <xsl:element name="tr">
	    <xsl:element name="td">
	      <xsl:attribute  name="class">
		<xsl:choose>
		  <xsl:when test="@severity=20">delcheck-error-title-box</xsl:when>	   
		  <xsl:when test="@severity=0">delcheck-info-title-box</xsl:when>	    		<xsl:otherwise>delcheck-warning-title-box</xsl:otherwise>
		</xsl:choose>
	      </xsl:attribute>
	      <xsl:attribute name="colspan">2</xsl:attribute>
	      <!-- On the webpage create a A name= tag -->
	      <xsl:if test="$outform='webhelp'">
		<xsl:element name="A">
		  <xsl:attribute name="name">
		    <xsl:value-of select="@code"/>
		  </xsl:attribute>
		</xsl:element>
	      </xsl:if>
	      <xsl:apply-templates select="TITLE"/>
	    </xsl:element><!--td-->
	  </xsl:element><!--tr-->
	  <xsl:value-of select="$newline"/>     
	  <xsl:element name="tr">
	    <xsl:call-template name="blanktd"/>
	    <xsl:element name="td">
	      
	      <xsl:attribute name="class">	      
		<xsl:choose>
		  <xsl:when test="@severity=20">delcheck-error-problemcode-box</xsl:when>	   
		  <xsl:when test="@severity=0">delcheck-info-problemcode-box</xsl:when>	    		
		  <xsl:otherwise>delcheck-warning-problemcode-box</xsl:otherwise>
		</xsl:choose>
	      </xsl:attribute>
	      <xsl:value-of select="@code"/>
	    </xsl:element><!--td-->
	  </xsl:element><!--tr-->
	</xsl:element><!--table-->
      </xsl:element><!--td -->
      
      <xsl:element name="td"> <!-- first row  second column -->
	<xsl:attribute name="class">	      
	  <xsl:choose>
	    <xsl:when test="@severity=20">delcheck-error-severity-box</xsl:when>	   
	    <xsl:when test="@severity=0">delcheck-info-severity-box</xsl:when>	    		
	    <xsl:otherwise>delcheck-warning-severity-box</xsl:otherwise>
	  </xsl:choose>
	</xsl:attribute>
	Score: <xsl:value-of select="@severity"/>
	<xsl:element name="br"/>
	<xsl:choose>
	  <xsl:when test="@severity=20"> (Error)</xsl:when>
	  <xsl:when test="@severity=0"> (Information)</xsl:when>
	  <xsl:otherwise> (Warning)</xsl:otherwise>
	</xsl:choose>
      </xsl:element><!--td-->
      </xsl:element><!--tr--> <!-- End first row -->
      
      
      <xsl:value-of select="$newline"/>     
      
      <xsl:element name="tr"> <!--Second Row -->
      <xsl:element name="td">
	<xsl:attribute name="colspan">2</xsl:attribute>	  
	<xsl:element name="table">

	  <xsl:element name="tr"><!--second row, first subrow-->
	    <xsl:call-template name="blanktd"/>
	    <xsl:element name="td">

	<xsl:attribute name="class">	      
	  <xsl:choose>
	    <xsl:when test="@severity=20">delcheck-error-shortdescr-box</xsl:when>	   
	    <xsl:when test="@severity=0">delcheck-info-shortdescr-box</xsl:when>	    		
	    <xsl:otherwise>delcheck-warning-shortdescr-box</xsl:otherwise>
	  </xsl:choose>
	</xsl:attribute>
	      <xsl:apply-templates select="DESCRIPTION"/>
	    </xsl:element><!--td-->
	  </xsl:element><!--tr-->
	  
	  <!-- If the test is only used by in the WHOIS and we are generating
	       html than we add a line.
	  -->
	  <xsl:if test="$outform='webhelp' and @usedby='whois'">
	    <xsl:value-of select="$newline"/>     
	    <xsl:element name="tr">
	      <xsl:call-template name="blanktd"/>
		<xsl:element name="td">
		  <xsl:attribute name="class">delchecker-whois-only-box</xsl:attribute>
		  This problem is only generated by the WHOIS updata mechanism, the web based delegation checker does not check on it.

	      </xsl:element>
	    </xsl:element><!--tr-->
	  </xsl:if>
	  
	  <!-- print the explanation text -->
	  <xsl:if test="EXPLANATION">
	    <xsl:if test="$outform='webhelp' or $outform='cgi-extended'">
	      <xsl:value-of select="$newline"/>     
	      <xsl:element name="tr">
		<xsl:call-template name="blanktd"/>
		<xsl:element name="td">
		  
		  <xsl:attribute name="class">	      
		    <xsl:choose>
		      <xsl:when test="@severity=20">delcheck-error-explanation-box</xsl:when>	   
		      <xsl:when test="@severity=0">delcheck-info-explanation-box</xsl:when>	    		
		      <xsl:otherwise>delcheck-warning-explanation-box</xsl:otherwise>
		    </xsl:choose>
		  </xsl:attribute>
		  <xsl:attribute name="colspan">2</xsl:attribute>
		  <xsl:element name="br"/>
		  <xsl:apply-templates select="EXPLANATION"/>
		</xsl:element><!--td-->
	      </xsl:element>
	    </xsl:if>
	  </xsl:if>
	  
	  
	</xsl:element><!--table-->
      </xsl:element><!--td -->
    </xsl:element> <!--  end second row-->
  </xsl:element><!--table-->
  
  <xsl:value-of select="$newline"/>     
  <xsl:element  name="hr" />
  <xsl:value-of select="$newline"/>     
</xsl:template>




<xsl:template match="ARG">
<xsl:element  name="tt" >

  <xsl:element name="ARG">
    <xsl:attribute name="no">
      <xsl:value-of select="@no"/>
    </xsl:attribute>
  </xsl:element>
</xsl:element>
</xsl:template>


</xsl:stylesheet>


