# Test we can use the module, call class methods, create an object
# and call public object methods

use Test::More tests => 4;

my $module = 'Net::DelCheck';

my @exported_class_methods = qw(
   errors new test_format normalise_domain_name
   get_ip_version is_reverse_zone
   seconds_to_descr_string
   list_problem_codes problem_code_no_args
   ipv6_available
);

my @public_object_methods = qw( 
   init_config get_data check schema unanimous_primary cleanup
   xml_tag_name xml_attribute_name
);

# Test 1: can use the module

use_ok( $module );

# Test 2: can call the exported class methods

can_ok( $module, @exported_class_methods );

# Test 3: can create an object of the type

my $checker = $module->new( { 'ModuleTemplatePath' => 'sample/template.xml' } );

if ( ! isa_ok( $checker, $module ) ) {
	print STDERR join "\n\t", &Net::DelCheck::errors;
}

# Test 4: can call public object methods

can_ok( $checker, @public_object_methods );
