# Lee 20040128  -*-perl-*-
# Test there's a test subdir for each possibly occuring problem code
# (boy are we thorough or what ?)

use Test::More;

use Net::DelCheck;

my @codes = &Net::DelCheck::list_problem_codes;

plan tests => @codes * 2;

my $curdir = $0;
$curdir =~ s/\/[^\/]+$//;

foreach my $code ( @codes ) {

	my $short_code = lc $code;

	$short_code =~ s/^problem_//i;

	my $short_code_path = join '/', $curdir, 'pcodes', $short_code;

	SKIP: {

		# 1: we can open a directory for the problem code

		skip "couldnt open dir $short_code_path", 1 if ( ! ok( opendir (DIR, $short_code_path), "can open $short_code_path" ) );

		my @files = readdir DIR;

		close DIR;

		# 2: there are some files in there

		ok( ( @files > 2 ), "directory not empty" );
	}
}
